Package be.fgov.ehealth.errors.service.v1

# Class ServiceErrorType

java.lang.Object
be.fgov.ehealth.errors.core.v1.ErrorType
be.fgov.ehealth.errors.service.v1.ServiceErrorType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BusinessError`, `SystemError`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:06+02:00", comments="JAXB RI v4.0.5") public class ServiceErrorType extends ErrorType implements Serializable
Common Type for ServiceErrors.

Java class for ServiceErrorType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ServiceErrorType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:errors:core:v1}ErrorType">
           <sequence>
             <element name="Actor" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="DateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="Trace" type="{urn:be:fgov:ehealth:errors:service:v1}TraceType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceErrorType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActor()`
  The actor is the element - in the message path - which detected/generated the fault.
  `Instant`
  `getDateTime()`
  Gets the value of the dateTime property.
  `TraceType`
  `getTrace()`
  could be a java stacktrace or any other kind of trace, used internally, to document on the cause of this error.
  `void`
  `setActor(String value)`
  Sets the value of the actor property.
  `void`
  `setDateTime(Instant value)`
  Sets the value of the dateTime property.
  `void`
  `setTrace(TraceType value)`
  Sets the value of the trace property.

  ### Methods inherited from class be.fgov.ehealth.errors.core.v1.ErrorType

  `getCode, getContact, getId, getMessages, getOrigin, isRetry, setCode, setContact, setId, setOrigin, setRetry`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceErrorType

    public ServiceErrorType()

- ## Method Details

  - ### getActor

    public String getActor()
    The actor is the element - in the message path - which detected/generated the fault.
    Returns:
      possible object is `String`

  - ### setActor

    public void setActor(String value)
    Sets the value of the actor property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getActor()`

  - ### getDateTime

    public Instant getDateTime()
    Gets the value of the dateTime property.
    Returns:
      possible object is `String`

  - ### setDateTime

    public void setDateTime(Instant value)
    Sets the value of the dateTime property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTrace

    public TraceType getTrace()
    could be a java stacktrace or any other kind of trace, used internally, to document on the cause of this error.
    Returns:
      possible object is `TraceType`

  - ### setTrace

    public void setTrace(TraceType value)
    Sets the value of the trace property.
    Parameters:
      `value` - allowed object is `TraceType`
    See Also:
      - `getTrace()`